org.python.modules.bz2

## Class PyBZ2File

- java.lang.Object
- - org.python.core.PyObject
  - - org.python.modules.bz2.PyBZ2File

- All Implemented Interfaces:
    java.io.Serializable, FinalizableBuiltin, FinalizablePyObject
  Direct Known Subclasses:
    PyBZ2FileDerived

      public class PyBZ2File
      extends PyObject
      implements FinalizablePyObject, FinalizableBuiltin

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.python.core.PyObject

      `PyObject.ConversionException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PyType` | `TYPE`

    - ### Fields inherited from class org.python.core.PyObject

      `gcMonitorGlobal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PyBZ2File()`
    `PyBZ2File(PyType subType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `__del__()`
    `void` | `__del_builtin__()` `FinalizableBuiltin.__del_builtin__()` is the built-in's own finalizer, while `FinalizablePyObjectDerived.__del_derived__()` refers to an instance's in-dict `__del__`.
    `PyObject` | `__iter__()` Return an iterator that is used to iterate the element of this sequence.
    `PyObject` | `BZ2File___enter__()`
    `boolean` | `BZ2File___exit__(PyObject exc_type, PyObject exc_value, PyObject traceback)`
    `void` | `BZ2File_close()`
    `PyObject` | `BZ2File_next(PyObject[] args, java.lang.String[] kwds)`
    `PyObject` | `BZ2File_read(PyObject[] args, java.lang.String[] kwds)`
    `PyString` | `BZ2File_readline(PyObject[] args, java.lang.String[] kwds)`
    `PyList` | `BZ2File_readlines(PyObject[] args, java.lang.String[] kwds)`
    `void` | `BZ2File_seek(PyObject[] args, java.lang.String[] kwds)`
    `PyLong` | `BZ2File_tell()`
    `void` | `BZ2File_write(PyObject[] args, java.lang.String[] kwds)`
    `void` | `BZ2File_writelines(PyObject[] args, java.lang.String[] kwds)`
    `PyList` | `BZ2File_xreadlines()`
    `PyObject` | `PyBZ2File_newlines()`

    - ### Methods inherited from class org.python.core.PyObject

      `__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __ensure_finalizer__, __eq__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __format__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __trunc__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, bit_length, conjugate, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, hashCode, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isInteger, isMappingType, isNumberType, isSequenceType, noAttributeError, object___subclasshook__, readonlyAttributeError, setDict, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final PyType TYPE

  - ### Constructor Detail

    - #### PyBZ2File

          public PyBZ2File()

    - #### PyBZ2File

          public PyBZ2File(PyType subType)

  - ### Method Detail

    - #### PyBZ2File_newlines

          public PyObject PyBZ2File_newlines()

    - #### __del_builtin__

          public void __del_builtin__()

      Description copied from interface: `FinalizableBuiltin`
      `FinalizableBuiltin.__del_builtin__()` is the built-in's own finalizer, while `FinalizablePyObjectDerived.__del_derived__()` refers to an instance's in-dict `__del__`. A FinalizeTrigger calls `FinalizablePyObjectDerived.__del_derived__()` first and - if existent - `FinalizableBuiltin.__del_builtin__()` after that. A plain `FinalizablePyObject.__del__()` would behave as overridden by `FinalizablePyObjectDerived.__del_derived__()`, i.e. won't be called if the type implements `FinalizablePyObjectDerived`, while `FinalizableBuiltin.__del_builtin__()` is called in any case.
      Specified by:
        `__del_builtin__` in interface `FinalizableBuiltin`

    - #### __del__

          public void __del__()

      Specified by:
        `__del__` in interface `FinalizablePyObject`

    - #### BZ2File_close

          public void BZ2File_close()

    - #### BZ2File_read

          public PyObject BZ2File_read(PyObject[] args,
                                       java.lang.String[] kwds)

    - #### BZ2File_next

          public PyObject BZ2File_next(PyObject[] args,
                                       java.lang.String[] kwds)

    - #### BZ2File_readline

          public PyString BZ2File_readline(PyObject[] args,
                                           java.lang.String[] kwds)

    - #### BZ2File_readlines

          public PyList BZ2File_readlines(PyObject[] args,
                                          java.lang.String[] kwds)

    - #### BZ2File_xreadlines

          public PyList BZ2File_xreadlines()

    - #### BZ2File_seek

          public void BZ2File_seek(PyObject[] args,
                                   java.lang.String[] kwds)

    - #### BZ2File_tell

          public PyLong BZ2File_tell()

    - #### BZ2File_write

          public void BZ2File_write(PyObject[] args,
                                    java.lang.String[] kwds)

    - #### BZ2File_writelines

          public void BZ2File_writelines(PyObject[] args,
                                         java.lang.String[] kwds)

    - #### __iter__

          public PyObject __iter__()

      Description copied from class: `PyObject`
      Return an iterator that is used to iterate the element of this sequence. From version 2.2, this method is the primary protocol for looping over sequences.

      If a PyObject subclass should support iteration based in the __finditem__() method, it must supply an implementation of __iter__() like this:

           public PyObject __iter__() {
               return new PySequenceIter(this);
           }

      When iterating over a python sequence from java code, it should be done with code like this:

           for (PyObject item : seq.asIterable()) {
               // Do something with item
           }

      Overrides:
        `__iter__` in class `PyObject`

    - #### BZ2File___enter__

          public PyObject BZ2File___enter__()

    - #### BZ2File___exit__

          public boolean BZ2File___exit__(PyObject exc_type,
                                          PyObject exc_value,
                                          PyObject traceback)

Jython homepage